POST

/api/v1/json/bulk/sms

Send bulk SMS messages via JSON API

SMS

Parameters

Parameter Type Required Description
from string Required Sender identifier (maps to sender_id)
to string | list Required Recipient phone number(s) - can be a single number or list (maps to recipient)
message string Required SMS message content (maps to message_body)
callback_url string Optional URL for delivery callbacks
source string Optional Department or source of the message
user_reference_id string Optional SMS message unique reference number

Request & Response Examples

Request Body

{
  "callback_url": "https://your-domain.com/sms/callback",
  "from": "COMPANY",
  "message": "Welcome to our platform! Your account has been successfully activated.",
  "to": [
    "26097123456"
  ]
}

Response Body

{
  "api_reference": "1764184470578998353",
  "data": [
    {
      "message_id": "dff31690-b450-4000-a6b7-141d8523ef10",
      "mobile_number": "26097123456",
      "status": "ACKNOWLEDGED"
    }
  ],
  "message": "successful",
  "success": true
}

Code Examples

-keyword">curl -X POST https://api.unicom360.com/api/v1/json/bulk/sms \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{\n  "from": "COMPANY",\n  "to": ["26097123456"],\n  "message": "Welcome to our platform! Your account has been successfully activated.",\n  "callback_url": "https://your class="code-flag">-domain.com/sms/callback"\n}\n'

Test This Endpoint

A test message with timestamp will be automatically sent.